<?xml version="1.1" encoding="UTF-8" standalone="no"?>
<databaseChangeLog
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
        xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-latest.xsd">
    <changeSet author="KSE" id="add-fertigungsgruppe-fk-to-personal" labels="0.2.10">
        <addColumn tableName="pers_personal">
            <column name="fertigungsgruppe_i_id" type="int4"/>
        </addColumn>

        <addForeignKeyConstraint
                baseTableName="pers_personal"
                baseColumnNames="fertigungsgruppe_i_id"
                referencedTableName="stk_fertigungsgruppe"
                referencedColumnNames="i_id"
                constraintName="fk_fertigungsgruppe"
                onDelete="SET NULL"
                onUpdate="CASCADE"
                validate="true"/>
    </changeSet>
</databaseChangeLog>
